Re-enable recent changes patrol to fiwiki
Closed, ResolvedPublic

Description

Hi we would like to re-enable the recent changes patrolling to finnish wikipedia.

Patrolling was toggled off in fiwiki at September 2012 because fiwiki enabled the FlaggedRevs extension and patrolling become redundant (phab T41942) and now there was discussion in fiwiki at 26. may 2016 and it was ok for community to toggle it back on. Reason for this is that when $wgUseRCPatrol is enabled with the Flagged Revision flagged revisions are marked as patrolled in Recent Changes so tools like Real time recent changes [1] and RCFeed [2] would be more usable. It was also tested in testwiki that patrol markings should be working when both flaggedrevs and patrolling are enabled.

About user rights. There should be no autopromote for patrollers, but just "patrol" user right for "editor" and "reviewer" and "autopatrol" user right for user group "autoreview". I think that change to the flaggedrevs.php setting would be something like:

$wgGroupPermissions['editor']['patrol'] = true;
$wgGroupPermissions['editor']['autopatrol'] = true;
$wgGroupPermissions['reviewer']['patrol'] = true;
$wgGroupPermissions['reviewer']['autopatrol'] = true;
$wgGroupPermissions['autoreview']['autopatrol'] = true;

However there is other changes needed to other config files too (InitialiseSettings.php?), but i don't know what technically is needed for enabling the patrolling so please just implement needed changes :)

[1] https://meta.wikimedia.org/wiki/User:Krinkle/Tools/Real-Time_Recent_Changes
[2] https://www.mediawiki.org/wiki/Manual:RCFeed
[3] https://fi.wikipedia.org/wiki/Wikipedia:Kahvihuone_(k%C3%A4yt%C3%A4nn%C3%B6t)/Arkisto_132#Patrolled_-merkinn.C3.A4t_k.C3.A4ytt.C3.B6.C3.B6n

Zache created this task.Sep 6 2016, 2:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2016, 2:28 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptSep 6 2016, 2:53 PM
Urbanecm claimed this task.Sep 6 2016, 4:13 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 6 2016, 4:13 PM
Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Sep 6 2016, 4:17 PM
Urbanecm moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
Urbanecm triaged this task as Normal priority.
Zache updated the task description. (Show Details)Sep 6 2016, 4:19 PM

Change 308764 had a related patch set uploaded (by Urbanecm):
Enable RC patrol for fiwiki and some permissions changes

https://gerrit.wikimedia.org/r/308764

Will be deployed at September 07 13:00-14:00 UTC. This might change due to my time availability.

Zache added a comment.EditedSep 6 2016, 5:15 PM

Hmm, I think that there is still old autopromote for patroller group which should be removed at InitialiseSettings.php?

'wmgAutopromoteExtraGroups' => [

	'fiwiki' => [
		'patroller' => [ '&',
				[ APCOND_EDITCOUNT, 1000 ],
				[ APCOND_AGE, 100 * 86400 ],
		],
	],

Sorry, I understood your task wrong. I thought I shouldn't set up any kind of autopromote and not I should remove autopromoting. Fixed, see the patch.

May I suggest to stop using FlaggedRevs-like usergroup names (if FR are
removed) and name the groups autopatrolled and patroller?

@MarcoAurelio This is for me or for @Zache?

Zache added a comment.Sep 6 2016, 5:32 PM

It looks fine to me and thanks for the fast response.

@MarcoAurelio This is for me or for @Zache?

Just thinking out loud. Don't worry :)

Zache added a comment.Sep 6 2016, 5:46 PM

@MarcoAurelio, currently we don't have in fiwiki plans to remove FR.

Ah, then I misread the request. I though you were requesting this because
you wanted to remove FlaggedRevs, which is not the case. Sorry and thank
you.

Urbanecm moved this task from Working on to To deploy on the User-Urbanecm board.Sep 6 2016, 6:18 PM
Urbanecm moved this task from Working on to To deploy on the Wikimedia-Site-requests board.
Zache added a comment.Sep 7 2016, 10:35 AM

And still one suggested change. I think that the values should be key => value pairs as the other values in groupOverrides are (?)

Eg

'editor' => [ 'patrol', 'autopatrol'], // T144817
'reviewer' => [ 'patrol', 'autopatrol' ], // T144817
'autoreview' => [ 'autopatrol' ], // T144817

to

'editor' => [ 'patrol'  => true, 'autopatrol' => true], // T144817
'reviewer' => [ 'patrol' => true, 'autopatrol' => true ], // T144817
'autoreview' => [ 'autopatrol' => true ], // T144817

Oh, thanks! Going to fix it...

Change 308764 merged by jenkins-bot:
Enable RC patrol for fiwiki and some related changes

https://gerrit.wikimedia.org/r/308764

Urbanecm closed this task as Resolved.Sep 7 2016, 1:06 PM

It should be deployed. Please test it and if something will be wrong, reopen this task and describe what.

Zache added a comment.Sep 8 2016, 6:40 AM

Thank you, it seems to be working as planned.

For other who are using the FlaggedRevs and planning to enable the recent changes patrol for getting the rc_patrolled flag. In finnish wikipedia we also locally hide the RCPatrol UI elements from UI with following local CSS:

.unpatrolled { display:none }
.patrollink { display:none }
.mw-enhanced-rc > .unpatrolled { 
	display: inline;  
	visibility: hidden; 
}

https://fi.wikipedia.org/w/index.php?title=J%C3%A4rjestelm%C3%A4viesti%3ACommon.css&type=revision&diff=15937204&oldid=15870054